---
apiVersion: "v1"
kind: "Template"
metadata:
  annotations:
    fabric8.war-camel-servlet/summary: "Camel route using Servlet deployed as WAR"
    description: "Camel route using Servlet deployed as WAR"
    fabric8.war-camel-servlet/iconUrl: "img/icons/camel.svg"
  labels: {}
  name: "war-camel-servlet"
objects:
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      servicepath: "/hello"
      fabric8.io/iconUrl: "img/icons/camel.svg"
    labels:
      provider: "fabric8"
      project: "war-camel-servlet"
      version: "2.2.144"
      group: "quickstarts"
    name: "war-camel-servlet"
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 80
      protocol: "TCP"
      targetPort: 8080
    selector:
      project: "war-camel-servlet"
      provider: "fabric8"
      group: "quickstarts"
    type: "LoadBalancer"
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/iconUrl: "img/icons/camel.svg"
      fabric8.io/git-branch: "release-v2.2.144"
      fabric8.io/git-commit: "496c6e099c52b8a0f272b76192b9911a3c866782"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/8"
      fabric8.io/build-id: "8"
    labels:
      provider: "fabric8"
      project: "war-camel-servlet"
      version: "2.2.144"
      group: "quickstarts"
    name: "war-camel-servlet"
  spec:
    replicas: 1
    selector:
      provider: "fabric8"
      project: "war-camel-servlet"
      version: "2.2.144"
      group: "quickstarts"
    template:
      metadata:
        annotations: {}
        labels:
          provider: "fabric8"
          project: "war-camel-servlet"
          version: "2.2.144"
          group: "quickstarts"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/war-camel-servlet:2.2.144"
          name: "war-camel-servlet"
          ports:
          - containerPort: 8080
            name: "http"
          - containerPort: 8778
            name: "jolokia"
          readinessProbe:
            httpGet:
              httpHeaders: []
              path: "/"
              port: 8080
            initialDelaySeconds: 5
            timeoutSeconds: 30
          resources:
            limits:
              cpu: "0"
              memory: "0"
            requests:
              cpu: "0"
              memory: "0"
          securityContext: {}
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        volumes: []
parameters: []
